Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.proxy.ejb
Class EJBMetaDataImpl

    java.lang.Object
      org.jboss.proxy.ejb.EJBMetaDataImpl

All Implemented Interfaces:
  javax.ejb.EJBMetaData, Serializable

public class EJBMetaDataImpl
extends Object
implements javax.ejb.EJBMetaData, Serializable

An implementation of the EJBMetaData interface which allows a client to obtain the enterprise Bean's meta-data information.

Version:
  $Revision: 1.3 $
Author:
  Rickard �berg (rickard.oberg@telkel.com), Marc Fleury, Jason Dillon
See Also:
  Serialized Form

Constructor Summary
`EJBMetaDataImpl(Class remote, Class home, Class pkClass, boolean session, boolean statelessSession, javax.ejb.HomeHandle homeHandle)` Construct an `EJBMetaDataImpl`.

Method Summary
`javax.ejb.EJBHome` | `getEJBHome()` Obtain the home interface of the enterprise Bean.
`Class` | `getHomeInterfaceClass()` Obtain the Class object for the enterprise Bean's home interface.
`Class` | `getPrimaryKeyClass()` Obtain the Class object for the enterprise Bean's primary key class.
`Class` | `getRemoteInterfaceClass()` Obtain the Class object for the enterprise Bean's remote interface.
`boolean` | `isSession()` Test if the enterprise Bean's type is "session".
`boolean` | `isStatelessSession()` Test if the enterprise Bean's type is "stateless session".

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EJBMetaDataImpl

    public EJBMetaDataImpl(Class remote,
                           Class home,
                           Class pkClass,
                           boolean session,
                           boolean statelessSession,
                           javax.ejb.HomeHandle homeHandle)

  Construct an `EJBMetaDataImpl`. this should only be accessible from the factory.

Method Detail

### getEJBHome

    public javax.ejb.EJBHome getEJBHome()

  Obtain the home interface of the enterprise Bean.

  Specified by:
    `getEJBHome` in interface `javax.ejb.EJBMetaData`
  Throws:
    `javax.ejb.EJBException` - Failed to get EJBHome object.

### getHomeInterfaceClass

    public Class getHomeInterfaceClass()

  Obtain the Class object for the enterprise Bean's home interface.

  Specified by:
    `getHomeInterfaceClass` in interface `javax.ejb.EJBMetaData`

### getRemoteInterfaceClass

    public Class getRemoteInterfaceClass()

  Obtain the Class object for the enterprise Bean's remote interface.

  Specified by:
    `getRemoteInterfaceClass` in interface `javax.ejb.EJBMetaData`

### getPrimaryKeyClass

    public Class getPrimaryKeyClass()

  Obtain the Class object for the enterprise Bean's primary key class.

  Specified by:
    `getPrimaryKeyClass` in interface `javax.ejb.EJBMetaData`

### isSession

    public boolean isSession()

  Test if the enterprise Bean's type is "session".

  Specified by:
    `isSession` in interface `javax.ejb.EJBMetaData`
  Returns:
    True if the type of the enterprise Bean is session bean.

### isStatelessSession

    public boolean isStatelessSession()

  Test if the enterprise Bean's type is "stateless session".

  Specified by:
    `isStatelessSession` in interface `javax.ejb.EJBMetaData`
  Returns:
    True if the type of the enterprise Bean is stateless session.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.